IP_RECVTOS(2const)

NAME
IP_RECVTOS - receive IP_TOS control message

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_RECVTOS,
               const int *enable, sizeof(int));

DESCRIPTION
If enabled, the IP_TOS(2const) ancillary message is passed with incoming packets. It contains a byte which specifies the Type of Service/Precedence field of the packet header.

Not supported for SOCK_STREAM sockets.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.2.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)